//
//  ListManager.h
//  PeerFilter
//
//  Created by U Kong Wong on 7/27/12.
//  Copyright (c) 2012 Eric U Kong Wong. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ListManager : NSObject<NSTableViewDataSource, NSTableViewDelegate>

@property (assign) BOOL dirty;

- (void)addListFromURL:(NSURL *)URL;
- (void)removeListsAtIndexes:(NSIndexSet *)indexes;

- (struct pf_iprange_list)optimizedActiveLists;
- (struct pf_iprange)parseLine:(NSString *)line;

@end
